/* -*- mode: C++; c-file-style: "bsd"; tab-width: 4 -*- */
// bootdata.h - Pilot routines for initial stroke database creation
// JStroke 1.x - Japanese Kanji handwriting recognition technology demo.
// Copyright (C) 1997  Robert E. Wells
// http://wellscs.com/pilot
// mailto:robert@wellscs.com
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program (gpl.html); if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Derived from prior work by Todd David Rudick on JavaDict and StrokeDic.
// Makes use of KANJIDIC data from Jim Breen of Monash University.
// Further credit details available at http://wellscs.com/pilot
// See readme.txt, changelo, and gpl.html for more information.
// ---------------------------------------------------------------------------

#ifndef __BOOTDATA_H__
#define __BOOTDATA_H__

// ----- StrokeDic definitions -----------------------------------------------
// We store the StrokeDic data in its own database, indexed by stroke count.
// Each entry is terminated by a newline, and the entire list of entries for
// a given stroke count is terminated by a null character.

// #define FOR_STROKEDIC_CREATE_1
// #define FOR_STROKEDIC_CREATE_2

// We create the database initially from code, then let PC HotSync it to other
// Pilots for us, to keep code size smaller in production.
// We have to create the database in multiple runs, because of the reputed
// 32KB limit on code resource size.  We chop the database contents up into
// sections that will fit, and load the database incrementally.
// -rwells, 970711.

#if defined(FOR_STROKEDIC_CREATE_1) || defined(FOR_STROKEDIC_CREATE_2)
#define FOR_STROKEDIC_CREATE
#endif

// ----- Function prototypes -------------------------------------------------

#ifdef FOR_STROKEDIC_CREATE
Err       CreateStrokeDic(void);
CharPtr   LoadStrokeDicPtr(void);
Err       LoadStrokeDic(DmOpenRef pDicDb);
#endif /*FOR_STROKEDIC_CREATE*/

#endif /*__BOOTDATA_H__*/
// ----- End of bootdata.h ---------------------------------------------------
